import Vue, { VueConstructor } from 'vue';
import Router, { RouteConfig, RouterOptions } from 'vue-router';
export { RouteConfig, RouterOptions } from 'vue-router';
export interface IRouter {
    [key: string]: RouteConfig[];
}
export declare function initRouter(vueConstructor: VueConstructor<Vue>, router: {
    routes?: IRouter;
    fallback?: RouteConfig;
    option?: RouterOptions;
}): Router;
